# MMS/MMK Makefile for OpenVMS
# Copyright (c) 2001 Edward Brocklesby
# $Id: descrip.mms,v 7.12 2003/05/27 03:23:57 ejb Exp $

CC=	CC
CFLAGS=/INCLUDE_DIRECTORY=([-.INCLUDE],[-.ADNS])/STANDARD=ISOC94/NOWARN -
/DEFINE=(FD_SETSIZE=2048)
LDFLAGS=

DEFAULT : IRCD.EXE

OBJECTS=	ADNS.OBJ, BALLOC.OBJ, HOSTMASK.OBJ, CHANNEL.OBJ, CHANNEL_MODE.OBJ, CLASS.OBJ, -
		CLIENT.OBJ, CLUSTER.OBJ, DYNLINK.OBJ, EVENT.OBJ, FDLIST.OBJ, FILEIO.OBJ, -
		GETOPT.OBJ, HASH.OBJ, HOOK.OBJ, IRC_STRING.OBJ, IRCD.OBJ, IRCD_SIGNAL.OBJ, -
		KDPARSE.OBJ, LINEBUF.OBJ, LISTENER.OBJ, M_ERROR.OBJ, MATCH.OBJ, MD5.OBJ, -
		MEMORY.OBJ, MODULES.OBJ, MOTD.OBJ, NEWCONF.OBJ, NUMERIC.OBJ, PACKET.OBJ, -
		PARSE.OBJ, PATRICIA.OBJ, RSA.OBJ, REJECT.OBJ, RESTART.OBJ, RESV.OBJ, -
		S_AUTH.OBJ, S_BSD.OBJ, S_BSD_QIO.OBJ, S_CONF.OBJ, S_NEWCONF.OBJ, -
		S_DEBUG.OBJ, S_GLINE.OBJ, S_LOG.OBJ, S_SERV.OBJ, S_STATS.OBJ, S_USER.OBJ, -
		SCACHE.OBJ, SEND.OBJ, SNPRINTF.OBJ, SPRINTF_IRC.OBJ, TOOLS.OBJ, WHOWAS.OBJ, -
		CRYPT.OBJ

VERSION.C : VERSION.COM
	@- @VERSION

VERSION.OBJ : VERSION.C

IRCD_PARSER_TAB.OBJ : IRCD_PARSER_TAB.C

IRCD_PARSER_TAB.C : IRCD_PARSER.Y
	BISON -d IRCD_PARSER.Y

LEXYY.OBJ : LEXYY.C

LEXYY.C : IRCD_LEXER.L
	FLEX IRCD_LEXER.L

IRCD.EXE : $(OBJECTS) IRCD_PARSER_TAB.OBJ LEXYY.OBJ VERSION.OBJ
	$(LINK)$(LDFLAGS)/EXECUTABLE=IRCD $(OBJECTS), IRCD_PARSER_TAB.OBJ, LEXYY.OBJ, VERSION.OBJ, [-.adns]adns.olb/LIB, [-.modules]modules.olb/LIB, [-.modules]core.olb/LIB

CLEAN : 
	DELETE *.OBJ;*
	DELETE *.OLB;*
	DELETE *.EXE;*
